Subject: Re: memcpy regression

From: Christophe LEROY <[email-masked]>
Date: Fri, 4 Sep 2015 15:57:40 +0200

Le 04/09/2015 15:33, Michal Sojka a écrit :
> Dear Christophe,
>
> my MPC5200-based system stopped booting recently. I bisected the problem
> to your commit below. If I revert that commit (on top of
> 807249d3ada1ff28a47c4054ca4edd479421b671 = v4.2-6663-g807249d), my
> system boots again.
>
>

Do you use mainline code only, or do you have home-made code ?

memcpy() is not supposed to be used on non-cacheable memory.
memcpy_toio() is the function to use when copying to non-cacheble area.

When I submitted the patch, I looked for erroneous use of memcpy() and 
memset().
I found one wrong use of memset() that I changed to memset_io() but I 
didn't find any misuse of memcpy().
But I may have missed one.

Christophe